Updates the user_skill_list object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_skill_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key to user |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_skill_list |
user |
Optionally required : user_id, user_code or user must be provided |
| skill_id |
Foreign key to skill |
globally unique identifier |
Optionally required : skill_id, skill_code or skill must be provided |
| skill_code |
Embedded entity "skill" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : skill_id, skill_code or skill must be provided |
| skill |
Embedded entity "skill" using node when adding/updating user_skill_list |
skill |
Optionally required : skill_id, skill_code or skill must be provided |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "0376ef7c-d7d0-49fa-9120-0a9cda6c31ef",
"user_id": "12e9ebfc-2a85-4cd0-992a-35d5b704f562",
"user_code": "sample string 3",
"user": {
"id": "9b7d9ee5-d721-44fa-a148-084b867bcbf7",
"db_language_id": "e5f71501-7d88-410e-a309-c9acd04026c8",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-30T04:48:25.2082767+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "ce2ac8f0-26ad-4d6b-a1a4-58cb6078fe58",
"sales_organization": {
"id": "fca128d0-da33-41b4-91dc-a4903109f0ab",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "64d0c177-a137-483a-8b9e-084c1268ff83",
"db_currency_id": "bef6dd58-bc16-4d5c-88e7-ba3d4339690e",
"db_language_id": "41fcdfac-33b9-4607-9ca3-8b6880843595",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T04:48:25.2082767+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "7f0e2a6d-67e2-485e-84a4-32b67b0e4fe9",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "b662cadc-c8a2-454f-8dd3-1d8c7049b738",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-30T04:48:25.2082767+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "91aa0546-76fb-4598-adcc-01aa924d638d"
},
"skill_id": "ca95bc38-b1dd-46dc-a745-cb41cda86046",
"skill_code": "sample string 5",
"skill": {
"id": "ee287323-09a5-4512-b907-443d8947eb57",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "12e4a78f-9b5f-4f1d-81cb-44af26450122",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "fca128d0-da33-41b4-91dc-a4903109f0ab",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "64d0c177-a137-483a-8b9e-084c1268ff83",
"db_currency_id": "bef6dd58-bc16-4d5c-88e7-ba3d4339690e",
"db_language_id": "41fcdfac-33b9-4607-9ca3-8b6880843595",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T04:48:25.2082767+00:00"
},
"modified_dateutc": "2026-10-30T04:48:25.2082767+00:00"
},
"reference_back_office": "sample string 6",
"modified_dateutc": "2026-10-30T04:48:25.2082767+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.